KNIFE-LIST(1)

NAME
knife-list - The man page for the knife list subcommand.

The knife list subcommand is used to view a list of objects on the Chef server. This subcommand works similar to knife cookbook list, knife data bag list, knife environment list, knife node list, and knife role list, but with a single verb (and a single action).

Syntax

This subcommand has the following syntax:

$ knife list [PATTERN...] (options)

Options

This subcommand has the following options:

-1  Use to show only one column of results. Default: false.

-c CONFIG_FILE, --config CONFIG_FILE
    The configuration file to use.

--chef-repo-path PATH
    The path to the chef-repo. This setting will override the default path to the chef-repo. Default: same as specified by chef_repo_path in config.rb.

--chef-zero-port PORT
    The port on which chef-zero will listen.

--[no-]color
    Use to view colored output.

--concurrency
    The number of allowed concurrent connections. Default: 10.

-d  Use to prevent a directory's children from showing when a directory matches a pattern. Default value: false.

--defaults
    Use to have knife use the default value instead of asking a user to provide one.

--disable-editing
    Use to prevent the $EDITOR from being opened and to accept data as-is.

-e EDITOR, --editor EDITOR
    The $EDITOR that is used for all interactive commands.

-E ENVIRONMENT, --environment ENVIRONMENT
    The name of the environment. When this option is added to a command, the command will run only against the named environment.

-f, --flat
    Use to show a list of file names. Set to false to view ls-like output. Default: false.

-F FORMAT, --format FORMAT
    The output format: summary (default), text, json, yaml, and pp.

-h, --help
    Shows help for the command.

-k KEY, --key KEY
    The private key that knife will use to sign requests made by the API client to the Chef server.

--local
    Use to return only the contents of the local directory. Default: false.

-p  Use to show directories with trailing slashes (/). Default: false.

--print-after
    Use to show data after a destructive operation.

-R  Use to list directories recursively. Default: false.

--repo-mode MODE
    The layout of the local chef-repo. Possible values: static, everything, or hosted_everything. Use static for just roles, environments, cookbooks, and data bags. By default, everything and hosted_everything are dynamically selected depending on the server type. Default: everything / hosted_everything.

-s URL, --server-url URL
    The URL for the Chef server.

-u USER, --user USER
    The user name used by knife to sign requests made by the API client to the Chef server. Authentication will fail if the user name does not match the private key.

-v, --version
    The version of the chef-client.

-V, --verbose
    Set for more verbose outputs. Use -VV for maximum verbosity.

-y, --yes
    Use to respond to all confirmation prompts with "Yes". knife will not ask for confirmation.

-z, --local-mode
    Use to run the chef-client in local mode. This allows all commands that work against the Chef server to also work against the local chef-repo.

    Examples

    For example, to view a list of roles on the Chef server:

    $ knife list roles/

    To view a list of roles and environments on the Chef server:

    $ knife list roles/ environments/

    To view a list of absolutely everything on the Chef server:

    $ knife list -R /

AUTHOR
Chef